From a124969531b6b2f7b7d61f04a28640a34679abcb Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Mar 27 2024 02:23:05 +0000
Subject: [PATCH 39/220] cosmic-bg?


---

diff --git a/rpms/cosmic-bg/cosmic-bg.spec b/rpms/cosmic-bg/cosmic-bg.spec
index c723a4d..2af8b72 100644
--- a/rpms/cosmic-bg/cosmic-bg.spec
+++ b/rpms/cosmic-bg/cosmic-bg.spec
@@ -8,10 +8,9 @@
 Name:           cosmic-bg
 Version:        %{ver}~%{date}
 Release:        %autorelease
-Summary:        # FIXME
+Summary:        Background manager for the COSMIC Desktop Environment.
 
-SourceLicense:  
-# FIXME: paste output of %%cargo_license_summary here
+SourceLicense:  MPL-2.0
 License:        GPL-3.0
 # LICENSE.dependencies contains a full license breakdown
 
@@ -20,6 +19,14 @@ Source:         cosmic-bg-%{ver}.tar.xz
 Source:         cosmic-bg-%{ver}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 25
+BuildRequires:  rustc
+BuildRequires:  lld
+BuildRequires:  cargo
+BuildRequires:  wayland-devel
+BuildRequires:  libxkbcommon-devel
+BuildRequires:  just
+
+Requires:       cosmic-session
 
 %global _description %{expand:
 %{summary}.}
diff --git a/scripts/vendor-srpm.sh b/scripts/vendor-srpm.sh
index 07f201c..97d1de8 100644
--- a/scripts/vendor-srpm.sh
+++ b/scripts/vendor-srpm.sh
@@ -46,6 +46,6 @@ cp $path_to_spec $name.spec 2>/dev/null || :
 sed -i "/^%global ver / s/.*/%global ver $version/" $name.spec
 sed -i "/^%global commit / s/.*/%global commit $commit/" $name.spec
 current_date=$(date +'%Y%m%d.%H')
-sed -i "/^%global date / s/.*/%global commit $current_date/" $name.spec
+sed -i "/^%global date / s/.*/%global date $current_date/" $name.spec
 
 echo Done! $1 $2 $3 $4 $5
\ No newline at end of file

